Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors
Class QueryProcessorCom

    java.lang.Object
      org.joseki.server.processors.QueryProcessorCom

All Implemented Interfaces:
  Loadable, Processor, QueryProcessor

Direct Known Subclasses:
  QueryProcessorFetch, QueryProcessorGET, QueryProcessorRDQL, QueryProcessorSPO

public abstract class QueryProcessorCom
extends java.lang.Object
implements QueryProcessor

Query processor framework that returns the whole model. Queries can be supplied by string (e.g. HTTP GET) or ad a model (e.g. HTTP POST).

Version:
  $Id: QueryProcessorCom.java,v 1.7 2004/04/30 14:13:11 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Constructor Summary
`QueryProcessorCom()`

Method Summary
`int` | `argsNeeded()` Return the number of argument models this operation expects in the input request.
`com.hp.hpl.jena.rdf.model.Model` | `exec(Request request)` Execute the operation.
`abstract com.hp.hpl.jena.rdf.model.Model` | `execQuery(ModelSource target, com.hp.hpl.jena.rdf.model.Model queryModel, Request request)`
`abstract com.hp.hpl.jena.rdf.model.Model` | `execQuery(ModelSource target, java.lang.String queryString, Request request)` Query processors supply this, rather than the `exec` method.
`void` | `init(com.hp.hpl.jena.rdf.model.Resource processor, com.hp.hpl.jena.rdf.model.Resource implementation)` Allow an implementation to initialise, based on configuration file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joseki.server.module.Loadable
`getInterfaceURI`

Constructor Detail

### QueryProcessorCom

    public QueryProcessorCom()

Method Detail

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource processor,
                     com.hp.hpl.jena.rdf.model.Resource implementation)

  Description copied from interface: `Loadable`
  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`
  See Also:
    `Loadable.init(Resource, Resource)`

### argsNeeded

    public int argsNeeded()

  Description copied from interface: `Processor`
  Return the number of argument models this operation expects in the input request. For HTTP, this is zero or one.

  Specified by:
    `argsNeeded` in interface `Processor`

### exec

    public com.hp.hpl.jena.rdf.model.Model exec(Request request)
                                         throws ExecutionException

  Description copied from interface: `Processor`
  Execute the operation.

  Specified by:
    `exec` in interface `Processor`
  Returns:
    Model Should not be null.
  Throws:
    `ExecutionException`
  See Also:
    `Processor.exec(Request)`

### execQuery

    public abstract com.hp.hpl.jena.rdf.model.Model execQuery(ModelSource target,
                                                              java.lang.String queryString,
                                                              Request request)
                                                       throws com.hp.hpl.jena.rdf.model.RDFException,
                                                              QueryExecutionException

  Query processors supply this, rather than the `exec` method. The queryString may be null (no string supplied).

  Specified by:
    `execQuery` in interface `QueryProcessor`
  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `QueryExecutionException`

### execQuery

    public abstract com.hp.hpl.jena.rdf.model.Model execQuery(ModelSource target,
                                                              com.hp.hpl.jena.rdf.model.Model queryModel,
                                                              Request request)
                                                       throws com.hp.hpl.jena.rdf.model.RDFException,
                                                              QueryExecutionException

  Specified by:
    `execQuery` in interface `QueryProcessor`
  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `QueryExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.